if（基线没有非靶病灶） 
{
   非靶病灶疗效为 ND
}
else if (上次非靶病灶评估结果为iUPD && (任一非靶病灶状态评估为“进一步增大（iCPD）||出现至少1个上一访视未评估为“显著增大（iUPD）”的病灶本次访视评估为“显著增大（iUPD）”))
{
   非靶病灶疗效为 iCPD
}
else if (上次非靶病灶评估结果为iCPD && 任一非靶病灶状态评估为“进一步增大（iCPD）”或“显著增大（iUPD）”)
{
    非靶病灶疗效为 iCPD
}
else if (本次访视非靶病灶满足RECIST1.1的PD条件)//请注意RECIST1.1中PD条件为：任一非靶病灶本次访视评估为“显著增大”，iRECIST中，应修改为任一非靶病灶本次访视评估为“显著增大（iUPD）”
{
    非靶病灶疗效为 iUPD
}
else if (有任一非靶病灶为NE状态)
{
    非靶病灶疗效为 NE
}
else if (全部非靶病灶均为“消失”状态)
{
    非靶病灶疗效为 iCR
}
else
{
    非靶病灶疗效为 iNN
}
	